Skip to content

Commit

Permalink
Add links to editorials
Browse files Browse the repository at this point in the history
  • Loading branch information
Yawn-Sean committed Oct 28, 2024
1 parent f1bb628 commit 41cc7e6
Show file tree
Hide file tree
Showing 3 changed files with 6 additions and 2 deletions.
4 changes: 2 additions & 2 deletions README.md
Original file line number Diff line number Diff line change
Expand Up @@ -24,5 +24,5 @@ Here are the current statistics of submissions: [Link](https://yawn-sean.github.

| Difficulty | Problems | Hints | Solution |
| ---------- | -------- | ----- | -------- |
| 1600 | [CF712C](https://codeforces.com/problemset/problem/712/C) | When making the triangle smaller, it's easy to generate an illegal triangle. So you should do it reversely. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1026/solution/cf712c.md) |
| 2200 | [CF645E](https://codeforces.com/problemset/problem/645/E) | Find out the DP function first. How can you maximize it? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1026/solution/cf645e.md) |
| 1800 | [CF1252H](https://codeforces.com/problemset/problem/1252/H) | When considering two dimensions, it's always easier to fix one first. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1252h.md) |
| 1900 | [CF1043E](https://codeforces.com/problemset/problem/1043/E) | Do the calculation without restriction first. When should we choose the $x_i+y_j$ instead of $x_j+y_i$ ? Is there an simpler rule? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1043e.md) |
2 changes: 2 additions & 0 deletions categories/greedy.md
Original file line number Diff line number Diff line change
Expand Up @@ -72,6 +72,7 @@
| 1800 | [CF433C](https://codeforces.com/problemset/problem/433/C) | How can you calculate the difference between the status with / without changing $x$ to $y$ . | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0917/solution/cf433c.md) |
| 1800 | [CF743D](https://codeforces.com/problemset/problem/743/D) | All about choosing $2$ non-intersecting subtrees. So derive it from the leaves. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1015/solution/cf743d.md) |
| 1800 | [CF238B](https://codeforces.com/problemset/problem/238/B) | Find a basic answer. Can you make it better? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1022/solution/cf238b.md) |
| 1800 | [CF1252H](https://codeforces.com/problemset/problem/1252/H) | When considering two dimensions, it's always easier to fix one first. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1252h.md) |
| 1900 | [CF1898D](https://codeforces.com/problemset/problem/1898/D) | Another greedy approach. Find out why the value can be bigger. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0304/solution/cf1898d.md) |
| 1900 | [CF613B](https://codeforces.com/problemset/problem/613/B) | When considering a function with $2$ variables, fix one first. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0409/solution/cf613b.md) |
| 1900 | [CF1912A](https://codeforces.com/problemset/problem/1912/A) | Each used array only has some of the points to consider. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0415/solution/cf1912a.md) |
Expand All @@ -89,6 +90,7 @@
| 1900 | [CF1677C](https://codeforces.com/problemset/problem/1677/C) | Transform $\|num_{a_i}-num_{b_i}\|$ into $\|num_i-num_{p_i}\|$. What is that supposed to mean? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1001/solution/cf1677c.md) |
| 1900 | [CF865B](https://codeforces.com/problemset/problem/865/B) | Use greedy approach. If you order too many pizzas, adjust your solution. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1007/solution/cf865b.md) |
| 1900 | [CF417D](https://codeforces.com/problemset/problem/417/D) | The final cost is composed of $2$ parts: monitors and friends. You can fix the first one to find the minimum of the second part. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1014/solution/cf417d.md) |
| 1900 | [CF1043E](https://codeforces.com/problemset/problem/1043/E) | Do the calculation without restriction first. When should we choose the $x_i+y_j$ instead of $x_j+y_i$ ? Is there an simpler rule? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1043e.md) |
| 2000 | [CF491B](https://codeforces.com/problemset/problem/571/B) | Group the elements, and minimize the sum inside. Design the final DP and control the complexity. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0320/solution/cf571b.md) |
| 2000 | [CF1142B](https://codeforces.com/problemset/problem/1142/B) | You can use greedy approach if you fix the first value and only answer the problem once. What can you do with multiple queries and intervals? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/03/0327/solution/cf1142b.md) |
| 2000 | [CF863E](https://codeforces.com/problemset/problem/863/E) | Bonus: Try to figure out the minimum number of TV sets at the end. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0417/solution/cf863e.md) |
Expand Down
2 changes: 2 additions & 0 deletions categories/sortings.md
Original file line number Diff line number Diff line change
Expand Up @@ -9,11 +9,13 @@
| 1800 | [CF922D](https://codeforces.com/problemset/problem/922/D) | Think of the order of $2$ first. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0423/solution/cf922d.md) |
| 1800 | [CF433C](https://codeforces.com/problemset/problem/433/C) | How can you calculate the difference between the status with / without changing $x$ to $y$ . | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0917/solution/cf433c.md) |
| 1800 | [CF257C](https://codeforces.com/problemset/problem/257/C) | We just need to calculate the angle for each point. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1014/solution/cf257c.md) |
| 1800 | [CF1252H](https://codeforces.com/problemset/problem/1252/H) | When considering two dimensions, it's always easier to fix one first. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1252h.md) |
| 1900 | [CF226B](https://codeforces.com/problemset/problem/226/B) | Try solving the problem when each pile has only $1$ stone. What can you discover? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0408/solution/cf226b.md) |
| 1900 | [CF1912A](https://codeforces.com/problemset/problem/1912/A) | Each used array only has some of the points to consider. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0415/solution/cf1912a.md) |
| 1900 | [CF1585D](https://codeforces.com/problemset/problem/1585/D) | The operation is just swapping twice. It is something. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/07/0708/solution/cf1585d.md) |
| 1900 | [CF1237C2](https://codeforces.com/problemset/problem/1237/C2) | Consider the problem in a lower dimension. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/08/0827/solution/cf1237c2.md) |
| 1900 | [CF865B](https://codeforces.com/problemset/problem/865/B) | Use greedy approach. If you order too many pizzas, adjust your solution. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1007/solution/cf865b.md) |
| 1900 | [CF1043E](https://codeforces.com/problemset/problem/1043/E) | Do the calculation without restriction first. When should we choose the $x_i+y_j$ instead of $x_j+y_i$ ? Is there an simpler rule? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1028/solution/cf1043e.md) |
| 2000 | [CF863E](https://codeforces.com/problemset/problem/863/E) | Bonus: Try to figure out the minimum number of TV sets at the end. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/04/0417/solution/cf863e.md) |
| 2100 | [CF852C](https://codeforces.com/problemset/problem/852/C) | How can you calculate the total area? If the angle formed by two sides are fixed, How is the area determined? | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/09/0920/solution/cf852c.md) |
| 2100 | [CF268E](https://codeforces.com/problemset/problem/268/E) | Consider the order of $2$ consecutive songs. | [Editorial](https://github.com/Yawn-Sean/Daily_CF_Problems/blob/main/daily_problems/2024/10/1018/solution/cf268e.md) |
Expand Down

0 comments on commit 41cc7e6

Please sign in to comment.